Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee5
Interface SecurityRoleRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  SecurityRoleRefTypeImpl

    public interface SecurityRoleRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `security-role-refType` xsd type

Original Documentation:

The security-role-refType contains the declaration of a
security role reference in a component's or a
Deployment Component's code. The declaration consists of an
optional description, the security role name used in the
code, and an optional link to a security role. If the
security role is not specified, the Deployer must choose an
appropriate security role.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getRoleLink()` Returns the `role-link` element
`java.lang.String` | `getRoleName()` Returns the `role-name` element
`SecurityRoleRefType<T>` | `removeAllDescription()` Removes the `description` element
`SecurityRoleRefType<T>` | `removeRoleLink()` Removes the `role-link` element
`SecurityRoleRefType<T>` | `removeRoleName()` Removes the `role-name` element
`SecurityRoleRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SecurityRoleRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SecurityRoleRefType<T>` | `setRoleLink(java.lang.String roleLink)` If not already created, a new `role-link` element with the given value will be created.
`SecurityRoleRefType<T>` | `setRoleName(java.lang.String roleName)` If not already created, a new `role-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    SecurityRoleRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `SecurityRoleRefType`

### setDescriptionList

    SecurityRoleRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SecurityRoleRefType`

### removeAllDescription

    SecurityRoleRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `SecurityRoleRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setRoleName

    SecurityRoleRefType<T> setRoleName(java.lang.String roleName)

  If not already created, a new `role-name` element with the given value will be created. Otherwise, the existing `role-name` element will be updated with the given value.

  Returns:
    the current instance of `SecurityRoleRefType`

### removeRoleName

    SecurityRoleRefType<T> removeRoleName()

  Removes the `role-name` element

  Returns:
    the current instance of `SecurityRoleRefType`

### getRoleName

    java.lang.String getRoleName()

  Returns the `role-name` element

  Returns:
    the node defined for the element `role-name`

### setRoleLink

    SecurityRoleRefType<T> setRoleLink(java.lang.String roleLink)

  If not already created, a new `role-link` element with the given value will be created. Otherwise, the existing `role-link` element will be updated with the given value.

  Returns:
    the current instance of `SecurityRoleRefType`

### removeRoleLink

    SecurityRoleRefType<T> removeRoleLink()

  Removes the `role-link` element

  Returns:
    the current instance of `SecurityRoleRefType`

### getRoleLink

    java.lang.String getRoleLink()

  Returns the `role-link` element

  Returns:
    the node defined for the element `role-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD